# Release 23.05 {#sec-release-23.05}

The 23.05 release branch became the stable branch in May, 2023.

## Highlights {#sec-release-23.05-highlights}

This release has the following notable changes:

-   Firefox add-ons are now managed per-profile. That is, if you are
    currently having

    ``` nix
    programs.firefox.extensions = [ foo bar ];
    ```

    in your configuration then you must change it to

    ``` nix
    programs.firefox.profiles.myprofile.extensions = [ foo bar ];
    ```

-   The default configuration location has been changed from
    `~/.config/nixpkgs/home.nix` to `~/.config/home-manager/home.nix`.

    Similarly, if you are using a Nix flake based setup then the default
    flake file location has changed from `~/.config/nixpkgs/flake.nix`
    to `~/.config/home-manager/flake.nix`.

    The old location will continue to work but using it will trigger a
    warning message. We changed the default configuration location to
    avoid confusion about which files belong to Home Manager and which
    belong to Nixpkgs.

-   The `home-manager` tool now offers an `init` command. This command
    can be used to generate an initial Home Manager configuration, and
    optionally also activate it. The recommended installation method for
    a standalone Home Manager setup with Nix flakes uses this new
    command. The standard installation method remains the same but uses
    the new command internally. See [sec-flakes-standalone](#sec-flakes-standalone) for
    more.

## State Version Changes {#sec-release-23.05-state-version-changes}

The state version in this release includes the changes below. These
changes are only active if the `home.stateVersion` option is set to
\"23.05\" or later.

-   The options

    -   [xsession.windowManager.i3.config.window.titlebar](#opt-xsession.windowManager.i3.config.window.titlebar)

    -   [xsession.windowManager.i3.config.floating.titlebar](#opt-xsession.windowManager.i3.config.floating.titlebar)

    -   [wayland.windowManager.sway.config.window.titlebar](#opt-wayland.windowManager.sway.config.window.titlebar)

    -   [wayland.windowManager.sway.config.floating.titlebar](#opt-wayland.windowManager.sway.config.floating.titlebar)

    now default to `true` which is consistent with the default values
    for those options used by `i3` and `sway`.
